cURL
curl --location 'https://app.sbai.cloud/api/external/semantic-search' \ --header 'client-id: your-client-id' \ --header 'private-key: your-private-key' \ --header 'secret: your-secret' \ --header 'Content-Type: application/json' \ --data '{ "keyword": "about data gmail and outlook", "related_context_id": "", "web_search": false }'
{ "data": [ { "id": "<string>", "relevance": 123, "source": "<string>", "fields": { "matchfeatures": { "firstPhase": 123, "combined_score": 123, "cos_sim": 123, "max_sim": 123, "max_sim_per_context": {} }, "sddocname": "<string>", "documentid": "<string>", "id": "<string>", "title": "<string>", "download_link": "<string>", "page": 123, "type": "<string>", "user_id": "<string>", "text_contents": "<string>", "meta": { "is_private": true, "provider": "<string>" } } } ], "meta": [ { "provider": "<string>", "id": "<string>", "count": 123 } ] }
Documentation IndexFetch the complete documentation index at: https://docs.shieldbase.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.shieldbase.ai/llms.txt
Use this file to discover all available pages before exploring further.
Successful Response
Show child attributes